<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:lav="http://software.in2p3.fr/lavoisier/config.xsd"
                xmlns="http://software.in2p3.fr/lavoisier/config.xsd">
    <!-- This template creates a schema of the database -->
    <xsl:template match="lav:view-template[contains(@stylesheet,'SQLSchemaTemplate.xsl')]">
        <view><xsl:copy-of select="@*[not(local-name()='stylesheet')] | lav:*[not(self::lav:parameter)]"/>
            <connector type="XSLTConnector">
                <parameter name="stylesheet" eval="document('xsl/sql2dot.xsl')"/>
                <parameter name="input" eval="view('{@name}_XML', arguments())"/>
            </connector>
            <renderers>
                <renderer type="HTMLRenderer">
                    <parameter name="stylesheet">xsl/graphviz.xsl</parameter>
                </renderer>
            </renderers>
        </view>
        <view name="{@name}_XML">
            <namespace prefix="e" uri="http://software.in2p3.fr/lavoisier/entries.xsd"/>
            <xsl:copy-of select="lav:*[not(self::lav:parameter)]"/>
            <connector type="SQLConnector">
                <xsl:copy-of select="lav:parameter[not(@name='query')]"/>
                <parameter name="query">
SELECT c.TABLE_NAME, c.COLUMN_NAME, ref.TABLE_NAME as REF_TABLE, ref.COLUMN_NAME as REF_COLUMN
FROM INFORMATION_SCHEMA.COLUMNS c
    LEFT OUTER JOIN (
        SELECT t1.*
        FROM INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE t1
            LEFT OUTER JOIN INFORMATION_SCHEMA.TABLE_CONSTRAINTS t2
            ON t1.CONSTRAINT_NAME = t2.CONSTRAINT_NAME
        WHERE t2.CONSTRAINT_TYPE='FOREIGN KEY'
    ) fk
    ON c.TABLE_NAME=fk.TABLE_NAME AND c.COLUMN_NAME=fk.COLUMN_NAME
    LEFT OUTER JOIN INFORMATION_SCHEMA.REFERENTIAL_CONSTRAINTS link
    ON fk.CONSTRAINT_NAME = link.CONSTRAINT_NAME
    LEFT OUTER JOIN INFORMATION_SCHEMA.CONSTRAINT_COLUMN_USAGE ref
    ON link.UNIQUE_CONSTRAINT_NAME = ref.CONSTRAINT_NAME
WHERE c.TABLE_SCHEMA='PUBLIC'
                </parameter>
            </connector>
            <processors>
                <processor type="MergeProcessor" match="/result/row/*"/>
                <processor type="MultiMergeProcessor" match="/result/row">
                    <parameter name="count">4</parameter>
                </processor>
                <processor type="SelectGroupByProcessor" match="/result/row">
                    <parameter name="group_by" eval="@TABLE_NAME"/>
                </processor>
                <processor type="RenameProcessor" match="/result/e:entry">
                    <parameter name="node_name">table</parameter>
                </processor>
            </processors>
        </view>
    </xsl:template>
</xsl:stylesheet>