<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:cfg="http://software.in2p3.fr/lavoisier/config.xsd"
                xmlns="http://software.in2p3.fr/lavoisier/config.xsd"
                exclude-result-prefixes="cfg">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    <xsl:variable name="VERSION">14</xsl:variable>

    <!-- <renderers html=""> -->
    <xsl:template match="cfg:renderers[@html]">
        <xsl:copy>
            <renderer type="HTMLRenderer">
                <parameter name="stylesheet"><xsl:value-of select="@html"/></parameter>
                <xsl:if test="cfg:parameter">
                    <parameter name="parameters">
                        <xsl:for-each select="cfg:parameter">
                            <entry key="{@name}" eval="{@eval}"/>
                        </xsl:for-each>
                    </parameter>
                </xsl:if>
            </renderer>
            <xsl:apply-templates select="*[not(self::cfg:parameter)] | text() | comment()"/>
        </xsl:copy>
    </xsl:template>

    <!-- common -->
    <xsl:template match="/cfg:config/@version">
        <xsl:attribute name="version">
            <xsl:value-of select="$VERSION"/>
        </xsl:attribute>
    </xsl:template>
    <xsl:template match="@* | comment()" priority="-1">
        <xsl:copy-of select="."/>
    </xsl:template>
    <xsl:template match="*" priority="-1">
        <xsl:copy><xsl:apply-templates select="@*"/>
            <xsl:apply-templates/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>