<!-- navbar.xsl -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:cfg="http://software.in2p3.fr/lavoisier/config.xsd">
    <xsl:output method="html"/>

    <xsl:variable name="confView" select="document('conf')"/>

    <xsl:template match="/">
        <div style="margin-bottom:80px">
            <div class="navbar navbar-default navbar-fixed-top">
                <div class="container">
                    <div class="navbar-header">
                        <a class="navbar-brand" href="/lavoisier">
                            <xsl:value-of select="menu/@title"/>
                        </a>
                    </div>
                    <div class="navbar-collapse collapse">
                        <ul class="nav navbar-nav">
                            <xsl:apply-templates select="menu/item"/>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </xsl:template>


    <xsl:template match="item[@href]">
        <li>
            <a>
                <xsl:attribute name="href">
                    <xsl:value-of select="@href"/>
                </xsl:attribute>
                <xsl:value-of select="@category"/>
            </a>
        </li>
    </xsl:template>

    <!-- build dropdown -->
    <xsl:template match="item[not(@href)]">
        <xsl:variable name="viewName" select="@category"/>
        <xsl:variable name="dropName" select="concat($viewName, '_drop')"/>
        <li class="dropdown">
            <a href="#" role="button" class="dropdown-toggle" data-toggle="dropdown">
                <xsl:attribute name="id">
                    <xsl:value-of select="$dropName"/>
                </xsl:attribute>
                <xsl:value-of select="$viewName"/>
                <b class="caret"/>
            </a>
            <ul class="dropdown-menu" role="menu">
                <xsl:attribute name="aria-labelledby">
                    <xsl:value-of select="$dropName"/>
                </xsl:attribute>
                <xsl:apply-templates select="$confView/cfg:config/cfg:view[cfg:info/cfg:category/text()= $viewName]"/>
            </ul>
        </li>
    </xsl:template>

    <!-- build dropdown menu -->
    <xsl:template match="cfg:view">
        <li>
            <a tabindex="-1" title="{cfg:info/cfg:description}"
               href="{concat('/lavoisier/', @name, substring-after('true?accept=',boolean(cfg:info/cfg:accept)), cfg:info/cfg:accept)}">
                <xsl:choose>
                    <xsl:when test="not(cfg:info/cfg:label/text())">
                        <xsl:value-of select="@name"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="cfg:info/cfg:label"/>
                    </xsl:otherwise>
                </xsl:choose>
            </a>
        </li>
    </xsl:template>

</xsl:stylesheet>